News

Check the ID-card software version if you are using Mac OS X 10.4 or 10.5

07.05.2013

We have identifited a software error in the older ID-card software (created by Ideelabor) for Mac OSX 10.4, 10.5.  

This faulty component was included in the idCardLight-OSX10.x installer packages which were distributed before october 2010 on installer.id.ee website and Ideelabor homepage. 

The use of this software for digital signing with ID-card in some e-services (bank payments, DigiDoc Portal etc) has created digitally signed files with invalid signatures. If some computers are still using the faulty software then it should be immediately removed to avoid further creation of invalid signatures.  For more information read here.

Problematic software can be identified and removed by following these instructions:

Both web browsers are using the same component so it's enough to follow component removal instructions for one of them. 

Safari web browser

1. Open Safari web browser. From Help menu open Installed Plug-ins.

2. If there is npidcard.plugin in the  list of plug-in's , then your computer has faulty ID-card software

3. For removal open folder /Library/Internet Plug-Ins,  locate npidcard.plugin file and delete it. Now open Trash and delete it from there aswell. 

4. To verify that the removal was successful open the Help menu again and check if npidcard.plugin has disappeared from the Installed Plug-ins list.

Firefox web browser

1. Open Firefox web browser. From Tools menu open Add-ons

2. From Add-on's Manager move to Plugins and if you find ID-card signing plugin then your computer has a faulty software.  

3. By pressing Disable button it's possible to deactivate the faulty plugin.

  

4. For complete removal open folder /Library/Internet Plug-Ins,  locate npidcard.plugin file and delete it. Now open Trash and delete it from there aswell.

5. Now restart Firefox. To verify that the removal was successful open the Tools menu again and check if ID-card signing plugin has disappeared from the Add-ons list.

If you havent restarted Firefox then you should see the following picture. In this situation you should choose Remove and restart Firefox.

 

Mac OSX 10.4 does not have an official state sponsored ID-card software and Mac OSX 10.5 is no longer supported by the official ID-card software.  So in either case an operating system upgrade is necessary to be able to use ID-card. As an alternative it's possible to use Mobile-ID, which is not limited by operating systems and does not require specific software.

For further information e-mail us at abi at id dot ee  


ASK FOR HELP

If you didn't find an answer to your question, send it to our team.



  • See instructions
  • Please estimate your ability to use the computer, so that we can provide you with the best guidance

         

  • Verification failed

How can we improve the article and be more helpful?
Send Close